Bug 10936 - Suggestion: 'ifup-pre' and 'ifdown-pre'
Suggestion: 'ifup-pre' and 'ifdown-pre'
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-04-20 03:21 EDT by mop45352
Modified: 2014-03-16 22:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-12 15:18:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mop45352 2000-04-20 03:21:57 EDT
I would like to suggest creating hooks for "pre" analogues of the currently
existing 'ifdown-post' and 'ifup-post' scripts, and then for the
'ifup-local' and 'ifdown-local' scripts one can plug in.  I am a dialup
user, and use the dhs.org static hostname -> mutable IP address mapping
service because Kerberos (used on MIT/Athena) requires it.  Kerberos does
an "idiot-check" of the host identification by a
"gethostbyaddr(gethostbyname(host))" call.

I have my system do some acrobatics on both device up and down, but also
need hooks before the device state is changed in either direction.  For
example, before I shutdown my external networking, I must currently run a
script manually to disable my DNS entry at dhs.org.  This is not a problem
on startup, as I can just include that action in 'ifup-local' but
'ifdown-local' is executed after the device is disabled.

I could hack my scripts to rectify the problem, but it is certainly
non-standard and I cannot share my solution with others who have rapidly
changing network configuration without rolling my own 'initscripts' package
-- this is uncomfortable, give how critical this component is!

If you wish, I can implement the hack and submit a patch, but it would
require a change in the naming convention of the local plugin scripts.

Thank you.


Sourav Mandal
Comment 1 Bill Nottingham 2000-12-12 02:35:13 EST
There is an ifup-pre-local in Red Hat Linux 7.0.
Comment 2 Michael E Brown 2001-03-12 15:18:34 EST
In this bugreport, the resolution was that 'ifup-pre' was added in 7.0. I would
like to request that 'ifdown-pre-local' be added. I have some network
de-registration to do before the interface is taken down, and I currently have
to hack the initscripts to do this.
Comment 3 Bill Nottingham 2001-03-12 15:22:50 EST
Sure, will be in 5.76-1.

Note You need to log in before you can comment on or make changes to this bug.